Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.util
Class DTDEntityResolver

    java.lang.Object
      org.apache.fop.afp.util.DTDEntityResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

    public class DTDEntityResolver

extends java.lang.Object
implements org.xml.sax.EntityResolver

An entity resolver for both DOM and SAX models of the SAX document.

The entity resolver only handles queries for the DTD. It will find any URI with a recognised public id and return an `InputSource`.

This work was authored by Joe Schmetzer (joe@exubero.com).

Field Summary
`static java.lang.String` | `AFP_DTD_1_0_ID` Public ID for the AFP fonts 1.0 DTD.
`static java.lang.String` | `AFP_DTD_1_0_RESOURCE` Resource location for the AFP fonts 1.0 DTD.
`static java.lang.String` | `AFP_DTD_1_1_ID` Public ID for the AFP fonts 1.1 DTD.
`static java.lang.String` | `AFP_DTD_1_1_RESOURCE` Resource location for the AFP fonts 1.1 DTD.
`static java.lang.String` | `AFP_DTD_1_2_ID` Public ID for the AFP fonts 1.2 DTD.
`static java.lang.String` | `AFP_DTD_1_2_RESOURCE` Resource location for the AFP fonts 1.2 DTD.

Constructor Summary
`DTDEntityResolver()`

Method Summary
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Resolve the combination of system and public identifiers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AFP_DTD_1_0_ID

    public static final java.lang.String AFP_DTD_1_0_ID

  Public ID for the AFP fonts 1.0 DTD.

  See Also:
    Constant Field Values

### AFP_DTD_1_0_RESOURCE

    public static final java.lang.String AFP_DTD_1_0_RESOURCE

  Resource location for the AFP fonts 1.0 DTD.

  See Also:
    Constant Field Values

### AFP_DTD_1_1_ID

    public static final java.lang.String AFP_DTD_1_1_ID

  Public ID for the AFP fonts 1.1 DTD.

  See Also:
    Constant Field Values

### AFP_DTD_1_1_RESOURCE

    public static final java.lang.String AFP_DTD_1_1_RESOURCE

  Resource location for the AFP fonts 1.1 DTD.

  See Also:
    Constant Field Values

### AFP_DTD_1_2_ID

    public static final java.lang.String AFP_DTD_1_2_ID

  Public ID for the AFP fonts 1.2 DTD.

  See Also:
    Constant Field Values

### AFP_DTD_1_2_RESOURCE

    public static final java.lang.String AFP_DTD_1_2_RESOURCE

  Resource location for the AFP fonts 1.2 DTD.

  See Also:
    Constant Field Values

Constructor Detail

### DTDEntityResolver

    public DTDEntityResolver()

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws java.io.IOException

  Resolve the combination of system and public identifiers. If this resolver recognises the publicId, it will handle the resolution from the classpath, otherwise it will return null and allow the default resolution to occur.

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Parameters:
    `publicId` - the public identifier to use
    `systemId` - the system identifier to resolve
  Returns:
    An input source to the entity or null if not handled
  Throws:
    `java.io.IOException` - an error reading the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.